@charset "UTF-8";
/* ========================================
アニメーションCSS
======================================== */

/*------FVタイプライター風----------*/

.txt_rotate {
  white-space: nowrap;
}

.txt_rotate .wrap {
  position: relative;
  display: inline-block;
  white-space: nowrap;
  vertical-align: top;
  min-width: 0.18em;
  padding-right: 0.12em;
}

.txt_rotate .wrap::after {
  content: "";
  position: absolute;
  top: 0.15em;
  right: 0;
  width: 0.08em;
  height: 1.1em;
  background: #fff;
  animation: blink_cursor 0.8s infinite;
}

@keyframes blink_cursor {
  0%,
  50%,
  100% {
    opacity: 1;
  }
  25%,
  75% {
    opacity: 0;
  }
}

/*--------画面遷移---------*/

.transition {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #0e1928; /* ブランドカラーにすると◎ */
  z-index: 9999;
  pointer-events: none;
  transform: scaleY(0);
  transform-origin: top;
  transition: transform 0.6s ease;
}

/*-------流れる文字--------------- */
.flowimg::before,
.flowimg::after {
  content: ".CO.,LTD.";
  position: absolute;
  bottom: 35px;
  width: 100%;
  height: auto;
  font-size: 12rem;
  line-height: 1;
  text-align: center;
  white-space: nowrap;
  color: rgba(50, 63, 197, 0.8);
  font-weight: 400;
  pointer-events: none;
  z-index: 1;
}
.flowimg::before {
  left: 0;
  animation: flowimg 35s linear infinite;
}
.flowimg::after {
  left: 3000px;
  animation: flowimg 35s linear infinite;
}
@keyframes flowimg {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-3000px);
  }
}
@media (max-width: 550px) {
  .flowimg::before,
  .flowimg::after {
    font-size: 5rem;
  }
  .flowimg::after {
    left: 1115px;
  }
  @keyframes flowimg {
    0% {
      transform: translateX(0);
    }
    100% {
      transform: translateX(-1115px);
    }
  }
}
/*-------------loading------------*/
.loading {
  position: fixed;
  width: 100%;
  height: 100%;
  /* 背景色の設定 */
  background-color: #333;
  z-index: 100;
  top: 0;
  left: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  align-self: center;
}
.load_logo {
  width: 450px;
  text-align: center;
}

.load_logo img {
  width: 80%;
  margin: auto;
}

.loading p {
  font-size: 1.5rem;
  display: block;
  text-align: center;
  padding-bottom: 50px;
}

/* HTML: <div class="loader"></div> */
.loader {
  width: fit-content;
  font-size: 40px;
  font-weight: bold;
  text-transform: uppercase;
  color: #0000;
  -webkit-text-stroke: 1px #000;
  --l: #0000 45%, #000 0 55%, #0000 0;
  --g: 0/300% 100% no-repeat text;
  background:
    linear-gradient(-60deg, var(--l)) var(--g),
    linear-gradient(60deg, var(--l)) var(--g);
  animation: l7 4s linear infinite;
}
.loader:before {
  content: "Loading";
}
@keyframes l7 {
  0% {
    background-position: 100%, 0;
  }
  50% {
    background-position: 0, 0;
  }
  to {
    background-position: 0, 100%;
  }
}

/* ---テキストアニメ-- */
.eachTextAnime span {
  opacity: 0;
}
.eachTextAnime.appeartext span {
  display: inline-block;
  animation: text_anime_on 1s 3s ease forwards;
  backface-visibility: hidden;
  perspective: 1000px;
}
@keyframes text_anime_on {
  0%,
  30% {
    transform: translateY(1.5rem) rotate(10deg);
    opacity: 0;
  }
  to {
    transform: translateY(0rem) rotate(0deg);
    opacity: 1;
  }
}

/*------フェードイン-------*/
.fadeIn_up {
  opacity: 0;
  transform: translate(0, 30%);
  transition: 2s;
}
.fadeIn_right {
  opacity: 0;
  transform: translate(30%, 0);
  transition: 2s;
}
.fadeIn_left {
  opacity: 0;
  transform: translate(-30%, 0);
  transition: 2s;
}
/*----- IntersectionObserver用 共通クラス ---------*/
.inview {
  transform: translate(0, 0);
  opacity: 1;
}

/*------ふわふわ-------*/
.fuwafuwa {
  animation: floating-y 1.8s ease-in-out infinite alternate-reverse;
}
@keyframes floating-y {
  0% {
    transform: translateY(-10%);
  }
  100% {
    transform: translateY(10%);
  }
}

/*------かくかく-------*/
.kakukaku {
  animation: kakukaku 1s steps(2, start) infinite;
}
@keyframes kakukaku {
  0% {
    transform: rotate(20deg);
  }
  to {
    transform: rotate(-10deg);
  }
}

.kakukaku2 {
  animation: kakukaku2 1s steps(3, start) infinite;
}
@keyframes kakukaku2 {
  0% {
    transform: rotate(20deg);
  }
  to {
    transform: rotate(-10deg);
  }
}

/*------スライドイン-------*/

.slide_in_top_right {
}

.slide_in_top_right.inview {
  animation: slide-top-right 1s linear both;
}
@keyframes slide-top-right {
  0% {
    transform: translateY(300px) translateX(-300px);
    opacity: 0;
  }
  100% {
    transform: translateY(0) translateX(0);
    opacity: 1;
  }
}

.slide_in_top_left {
}

.slide_in_top_left.inview {
  animation: slide-top-left 1s linear both;
}
@keyframes slide-top-left {
  0% {
    transform: translateY(300px) translateX(300px);
    opacity: 0;
  }
  100% {
    transform: translateY(0) translateX(0);
    opacity: 1;
  }
}
/*-----------------swipe---------------------*/

.swipe {
  position: relative;
  overflow: hidden;
}
.swipe::after {
  content: "";
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background: var(--main_color);
  pointer-events: none;
  z-index: 1;
  transform: translateX(-100%);
  transition: 2s ease;
}
.swipe .swipe_in {
  opacity: 0;
  transition:
    opacity 1.4s,
    transform 1s;
  transition-delay: 0.6s;
  transform: scale(1.1) translate(-10px, 10px);
}
.swipe.inview::after {
  transform: translateX(101%);
}
.swipe.inview .swipe_in {
  opacity: 1;
  transform: scale(1) translate(0, 0);
}

.swipe1 {
  position: relative;
  overflow: hidden;
}
.swipe1::after {
  content: "";
  width: 100%;
  height: 100%;
  position: absolute;
  top: 50px;
  left: 0;
  background: var(--main_color);
  pointer-events: none;
  z-index: 1;
  transform: translateX(-100%);
  transition: 2s ease;
}
.swipe1 .swipe_in {
  opacity: 0;
  transition:
    opacity 1.4s,
    transform 1s;
  transition-delay: 0.6s;
  transform: scale(1.1) translate(-10px, 10px);
}
.swipe1.inview::after {
  transform: translateX(101%);
}
.swipe1.inview .swipe_in {
  opacity: 1;
  transform: scale(1) translate(0, 0);
}

/*-----スクロールダウンアニメーション------*/
.scroll_down {
  position: absolute;
  bottom: 0px;
  left: 50%;
  z-index: 1;
}

.scroll_down a {
  position: absolute;
  left: 10px;
  bottom: 87px;
  color: #fff;
  font-size: 14px;
  font-family: "Josefin Sans", sans-serif;
  letter-spacing: 0.2em;
  writing-mode: vertical-lr;
  text-decoration: none;
  text-transform: uppercase;
}

.scroll_down:before {
  content: "";
  position: absolute;
  bottom: 0;
  left: -4px;
  width: 11px;
  height: 11px;
  border-radius: 50%;
  background: #fff;
  animation:
    circlemove 1.6s ease-in-out infinite,
    cirlemovehide 1.6s ease-out infinite;
}

@keyframes circlemove {
  0% {
    bottom: 160px;
  }
  100% {
    bottom: 0px;
  }
}

@keyframes cirlemovehide {
  0% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  80% {
    opacity: 0.9;
  }
  100% {
    opacity: 0;
  }
}

.scroll_down:after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 2px;
  height: 160px;
  background: #fff;
}
